#ifndef VALAPHP_EMBED_CALL_STATIC_CALL_H
#define VALAPHP_EMBED_CALL_STATIC_CALL_H

#include <glib.h>

char *valaphp_embed_call_no_args_to_string(const char *function_name, char **error_message);
char *valaphp_embed_call_no_args_output_to_string(const char *function_name, char **error_message);
char *valaphp_embed_call_no_args_output_to_string_and_print(const char *function_name, char **error_message);
gboolean valaphp_embed_call_no_args_to_bool(const char *function_name, char **error_message);
char *valaphp_embed_call_bool_to_string(const char *function_name, gboolean value, char **error_message);
gdouble valaphp_embed_call_bool_to_double(const char *function_name, gboolean value, char **error_message);
char *valaphp_embed_call_int_to_string(const char *function_name, gint64 value, char **error_message);
gdouble valaphp_embed_call_double_to_double(const char *function_name, gdouble value, char **error_message);
gdouble valaphp_embed_call_double_int_int_to_double(const char *function_name, gdouble value, gint precision, gint mode, char **error_message);
char *valaphp_embed_call_string_to_string(const char *function_name, const char *value, char **error_message);
gint valaphp_embed_call_string_to_int(const char *function_name, const char *value, char **error_message);
char *valaphp_embed_call_string_int_int_to_string(const char *function_name, const char *value, gint offset, gint length, char **error_message);
char *valaphp_embed_call_double_int_string_string_to_string(const char *function_name, gdouble value, gint decimals, const char *dec_point, const char *thousands_sep, char **error_message);
char *valaphp_embed_call_string_string_string_to_string(const char *function_name, const char *first, const char *second, const char *third, char **error_message);
gint valaphp_embed_call_string_string_to_int_or_minus_one(const char *function_name, const char *first, const char *second, char **error_message);
gboolean valaphp_embed_call_string_bool_to_bool(const char *function_name, const char *value, gboolean flag, char **error_message);

#endif
